Subject: I'll see you I really liked - let's get acquainted! I am from Russia!

From: [email-masked]
Date: Mon, 18 Jan 2010 15:15:50 +0100

I want you now, tell me reciprocate and get me! One click away